Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface FunctionCollection

All Superinterfaces:
  EntityNode, Node, java.io.Serializable

All Known Subinterfaces:
  EntityDS, XDS

    public interface FunctionCollection

extends EntityNode

A data service.

Its LD URI locator serves as its id.

Nested Class Summary
`static interface` | `FunctionCollection.CNFRelationalBinding`
`static class` | `FunctionCollection.DataAccessRole` The function collection data access role.
`static interface` | `FunctionCollection.DataSourceBinding`
`static interface` | `FunctionCollection.DelimitedBinding`
`static interface` | `FunctionCollection.JavaBinding`
`static interface` | `FunctionCollection.RelationalBinding`
`static interface` | `FunctionCollection.WebServiceBinding`
`static interface` | `FunctionCollection.XmlBinding`

Field Summary
`static char` | `AUX_FUNCTION_LIB`
`static char` | `DELIMITED_FILE_XDS`
`static char` | `GENERIC_AUXILIARY`
`static java.lang.String[]` | `GENERIC_KINDS`
`static char` | `GENERIC_LOGICAL`
`static char` | `GENERIC_PHYSICAL`
`static char` | `GENERIC_UNKNOWN`
`static char` | `JAVA_FUNCTION_XDS`
`static char` | `RELATIONAL_XDS`
`static char` | `UNKNOWN`
`static char` | `USER_DEFINED_VIEW_XDS`
`static char` | `WEBSERVICE_XDS`
`static char` | `XML_FILE_XDS`

Method Summary
`org.apache.xmlbeans.XmlObject` | `getAnnotation()`
`FunctionCollection.DataAccessRole` | `getDataAccessRole()`
`FunctionCollection.DataSourceBinding` | `getDataSourceBinding()`
`Function` | `getFunction(javax.xml.namespace.QName functionName, int arity)`
`java.util.Collection<Function>` | `getFunctions()`
`char` | `getGenericKind()` Deprecated. Use getDataAccessRole() and isLogical() instead.
`char` | `getKind()` Deprecated. Use getDataAccessRole() and isLogical() instead.
`java.util.Calendar` | `getModificationDate()`
`java.util.Map<java.lang.String,java.lang.String>` | `getNamespaces()`
`java.util.Map<java.lang.String,java.util.Set<SchemaRef>>` | `getSchemas()`
`java.util.Collection<java.lang.String>` | `getSecureResources()`
`boolean` | `isLogical()`
`boolean` | `isXDS()` Deprecated. Use getDataAccessRole() instead.

Methods inherited from interface com.bea.ld.metadata.EntityNode
`getBody, getDependencyRefs, getDependencyRefs, getDependentRefs, getDependentRefs, getNodeReference`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Field Detail

### RELATIONAL_XDS

    static final char RELATIONAL_XDS

See Also:
  Constant Field Values

### WEBSERVICE_XDS

    static final char WEBSERVICE_XDS

See Also:
  Constant Field Values

### JAVA_FUNCTION_XDS

    static final char JAVA_FUNCTION_XDS

See Also:
  Constant Field Values

### USER_DEFINED_VIEW_XDS

    static final char USER_DEFINED_VIEW_XDS

See Also:
  Constant Field Values

### DELIMITED_FILE_XDS

    static final char DELIMITED_FILE_XDS

See Also:
  Constant Field Values

### XML_FILE_XDS

    static final char XML_FILE_XDS

See Also:
  Constant Field Values

### AUX_FUNCTION_LIB

    static final char AUX_FUNCTION_LIB

See Also:
  Constant Field Values

### UNKNOWN

    static final char UNKNOWN

See Also:
  Constant Field Values

### GENERIC_LOGICAL

    static final char GENERIC_LOGICAL

See Also:
  Constant Field Values

### GENERIC_PHYSICAL

    static final char GENERIC_PHYSICAL

See Also:
  Constant Field Values

### GENERIC_AUXILIARY

    static final char GENERIC_AUXILIARY

See Also:
  Constant Field Values

### GENERIC_UNKNOWN

    static final char GENERIC_UNKNOWN

See Also:
  Constant Field Values

### GENERIC_KINDS

    static final java.lang.String[] GENERIC_KINDS

Method Detail

### getKind

    char getKind()

  Deprecated. Use getDataAccessRole() and isLogical() instead.

  Returns:
    The collection kind. One of:
    - RELATIONAL_XDS
    - WEBSERVICE_XDS
    - JAVA_FUNCTION_XDS
    - USER_DEFINED_VIEW_XDS
    - DELIMITED_FILE_XDS
    - XML_FILE_XDS
    - ALSB_PROXY_XDS
    - AUX_FUNCTION_LIB
    - UNKNOWN
    It is recommended that uses of this method are replaced with calling `isXDS()` and `getPhysicalKind()`.

### getGenericKind

    char getGenericKind()

  Deprecated. Use getDataAccessRole() and isLogical() instead.

  Returns:
    The collection generic kind. One of:
    - GENERIC_LOGICAL
    - GENERIC_PHYSICAL
    - GENERIC_AUXILIARY
    - GENERIC_UNKNOWN

### getDataAccessRole

    FunctionCollection.DataAccessRole getDataAccessRole()

  Returns:
    The data access role of this function collection. May not be `null`.

### isLogical

    boolean isLogical()

  Returns:
    `true` if the function collection does not directly access a particular data source; otherwise, `false`.

### getDataSourceBinding

    FunctionCollection.DataSourceBinding getDataSourceBinding()

  Returns:
    The data source binding for this function collection. `null` if and only if the function collection is logical.

### getSecureResources

    java.util.Collection<java.lang.String> getSecureResources()

  Returns:
    The user-defined secure resources associated with this function collection. May be empty, but not `null`.

### getModificationDate

    java.util.Calendar getModificationDate()

  Returns:
    The function collection modification date. May not be `null`.

### getNamespaces

    java.util.Map<java.lang.String,java.lang.String> getNamespaces()

  Returns:
    A map of nsUri:String -> prefix:String corresponding to the namespace declarations found inside the `FunctionCollection`. May not be `null`.

### getSchemas

    java.util.Map<java.lang.String,java.util.Set<SchemaRef>> getSchemas()

  Returns:
    A map of `nsURI:String->Set of schemaReference:NodeRef` corresponding to the schema import statements found in this collection. May be empty, but not `null`.

### getFunctions

    java.util.Collection<Function> getFunctions()

  Returns:
    The set functions declared in this `FunctionCollection`. May be empty, but not `null`.

### getFunction

    Function getFunction(javax.xml.namespace.QName functionName,
                         int arity)

  Parameters:
    `functionName` -
    `arity` - The number of function arguments.
  Returns:
    The function with the given qualified name and arity (number of parameters).

### getAnnotation

    org.apache.xmlbeans.XmlObject getAnnotation()

  Returns:
    The collection annotation. May not be null.

### isXDS

    boolean isXDS()

  Deprecated. Use getDataAccessRole() instead.

  Returns:
    A flag indicating whether the function collection corresponds to an entity data service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.